<?php

namespace App\Services\Cart;

class SessionCartService
{
    const MINIMUM_QUANTITY = 1;
    const DEFAULT_INSTANCE = 'shopping-cart';

    protected $session;
    protected $instance;

    public function getCart() {}
    public function updatedCartAddress($addressId) {}
    public function updateCoupon($coupon) {}
    public function add(
        int   $productId,
        ?int   $inventoryId = null,
        ?int   $shopId = null,
        int   $quantity    = 1,
        ?array $variant     = [],
        ?string $price     = null,
        ?string $discount  = null,
        ?string $coupon    = null,
        ?array $data        = []
    ) {}
}
